#ifndef __PLAYER_H__
#define __PLAYER_H__

typedef struct
{
    int x;
    int y;
    int z;
    int rx;
    int ry;
    int rz;
    int XSP;
    int ZSP;
    int YSP;
    bool h_collision;
    bool v_collision;
    bool can_jump;
    bool is_in_air;
    bool is_moving;
    char is_firing; //Timer for when you fire. Could make another .h file with weapons' stats, this is just a quick and dirty approach...
    short angle_increment;
    short vertical_angle; //The current angle for looking up and down, independant of the current RZ/RX value.
    bool owned_weapons[10];
    unsigned char ammo[10]; //For each weapons, how much ammo you have. Max = 255 (put a unsigned short if you need more)
    unsigned char crouchH;
    bool is_crouching;
    int movement_speed;
    int lateral_speed;


    unsigned int weapon;  //Quickly done. The idea is : what is your current weapon?

} _player;

extern _player player;




#endif
