#ifndef __DISPLAY_H__
# define __DISPLAY_H__

extern unsigned int mesh_tot;

typedef struct
{
    int x;
    int y;
    int z;
} vector3;

typedef struct
{
    vector3 LengthVal;
    vector3 MinValue;
    unsigned int BB_start;
    unsigned int BB_end;
} _BB_Hitbox;

extern _BB_Hitbox  BSP_BB[256];

void init_display(void);
void my_draw();
void display_NBG2 (int x, int y);
void load_map_BB(unsigned int currentLvl);

#endif
