#ifndef __LOADING_H__
# define __LOADING_H__


int load_textures(void * startAddress, int currentLevel, jo_file * file)
{
    register int first_texture = 0;
    if (first_texture>0) {jo_sprite_free_from(first_texture);first_texture=0;}


    //register int first_texture = 0;
    register unsigned int i=0;
    register unsigned int ii=0;
    register unsigned short w, h;
    unsigned int totText=0;
    char buf[4];

    void * currentAddress;
    currentAddress = startAddress;

    /*
    if (currentLevel < 3)
    {
        first_texture= jo_sprite_add_bin("TEX", "RUST.BIN", JO_COLOR_Black);
        jo_sprite_add_bin("TEX", "BRICK162.BIN", JO_COLOR_Transparent);
        jo_sprite_add_image_pack("TEX", "WAT.TEX", JO_COLOR_Transparent);
    }
    else
    {*/
                    /*jo_file file;
                    if (currentLevel == 3) {if (jo_fs_open(&file, "TEST.ZTT")==false) {jo_printf(5, 12, "ERROR LOADING TEXTURES"); return 0;} }
                    else {if (jo_fs_open(&file, "TEST2.ZTT")==false) {jo_printf(5, 12, "ERROR LOADING TEXTURES"); return 0;} }*/

        jo_fs_read_next_bytes(file, buf, 4);
        totText = jo_swap_endian_uint(*((unsigned int *)(buf)));

        for (JO_ZERO(i); i<totText; i++)
        {

            jo_fs_read_next_bytes(file, buf, sizeof(unsigned int));
            w = jo_swap_endian_uint(*((unsigned int *)(buf)));

            jo_fs_read_next_bytes(file, buf, sizeof(unsigned int));
            h = jo_swap_endian_uint(*((unsigned int *)(buf)));
            img[i].width = w;
            img[i].height = h;

            img[i].data = (jo_color*) (currentAddress);

            char buf2[w*h*2];
            unsigned int idx=0;
            if (jo_fs_read_next_bytes(file, buf2, sizeof(unsigned short)*w*h)  < 0) break;

            for (JO_ZERO(ii); ii< (w*h); ii++)
            {
                    //jo_fs_read_next_bytes(file, buf, sizeof(unsigned int));
                    //img[i].data[ii] = jo_swap_endian_uint(*((unsigned int *)(buf)));

                    img[i].data[ii] = jo_swap_endian_ushort(*((unsigned short *)(buf2 + idx)));
                    currentAddress=(void*)(currentAddress+sizeof(jo_color));
idx += 2;
            }
            jo_free(buf2);
            if (first_texture==0)  first_texture=jo_sprite_add(&img[i]);
            else jo_sprite_add(&img[i]);
            //jo_free(&img.data);
        }
        //jo_fs_close(&file);
    //}
    //jo_printf(0,18, "current address : %d", currentAddress);



    /***** Lower resolution textures = higher GPU performance. Formula to calculate the cycles for texture quads is (according to early Sega documentation) :    * 70 + (x*y*3) + (y*5)    --> X/Y = width/height    * For textured with gouraud :  302 + (x*y*3) + (y*5) ******/

    for (i=0; i<mesh_tot; i++)
    {

        for (ii=0; ii<LevelMesh[i]->data.nbPolygon; ++ii)
        {
            LevelMesh[i]->data.attbl[ii].texno += first_texture;
            //For testing only
            //if (currentLevel==4) LevelMesh[i]->data.attbl[ii].texno = first_lvl_texture+1;
        }
    }
    //if (currentLevel == 2) animate_texture(first_lvl_texture+2, 4, 4);
    return first_texture;
}



void * LoadBinaryMAP(void * startAddress, int currentLevel)
{
 slTVOff();  //Turns off the TV to prevent weird glitches.
 TVstatus = false;
 char buf[4];
 void * currentAddress;

 mesh_tot = 0;

 jo_file file;
 if (currentLevel==1) {if (jo_fs_open(&file, "MAPT.ZTM")==false) return startAddress;}
 else if (currentLevel==2){if (jo_fs_open(&file, "MAPT2.ZTM")==false) return startAddress;}
 else if (currentLevel==3) {if (jo_fs_open(&file, "JADE1.ZTM")==false) return startAddress;}
 else {if (jo_fs_open(&file, "CRYST2.ZTM")==false) return startAddress;}



    //register unsigned int idx = 0;
    register unsigned int i=0;
    register unsigned int ii=0;
    register unsigned int iii=0;
    register unsigned int nbpoint=0;
    register unsigned int nbpolygon=0;

    currentAddress = startAddress;


    jo_fs_read_next_bytes(&file, buf, 4);
    mesh_tot = jo_swap_endian_uint(*((unsigned int *)(buf)));

for (i=0; i<mesh_tot; i++)
{
    LevelMesh[i] = (jo_3d_mesh*)currentAddress;
    currentAddress = (void*) (currentAddress+sizeof(jo_3d_mesh));

    jo_fs_read_next_bytes(&file, buf, 4);       BSP_BB[i].MinValue.x = jo_swap_endian_int(*((signed int *)(buf)));
    jo_fs_read_next_bytes(&file, buf, 4);       BSP_BB[i].LengthVal.x = jo_swap_endian_int(*((signed int *)(buf)));
    jo_fs_read_next_bytes(&file, buf, 4);       BSP_BB[i].MinValue.y = jo_swap_endian_int(*((signed int *)(buf)));
    jo_fs_read_next_bytes(&file, buf, 4);       BSP_BB[i].LengthVal.y = jo_swap_endian_int(*((signed int *)(buf)));
    jo_fs_read_next_bytes(&file, buf, 4);       BSP_BB[i].MinValue.z = jo_swap_endian_int(*((signed int *)(buf)));
    jo_fs_read_next_bytes(&file, buf, 4);       BSP_BB[i].LengthVal.z = jo_swap_endian_int(*((signed int *)(buf)));
    /*BSP_BB[i].MinValue.x = jo_swap_endian_int(*((signed int *)(stream+idx)));  //idx += 4;    BSP_BB[i].LengthVal.x = jo_swap_endian_int(*((signed int *)(stream+idx)));  idx += 4;    BSP_BB[i].MinValue.y = jo_swap_endian_int(*((signed int *)(stream+idx)));  idx += 4;    BSP_BB[i].LengthVal.y = jo_swap_endian_int(*((signed int *)(stream+idx)));  idx += 4;    BSP_BB[i].MinValue.z = jo_swap_endian_int(*((signed int *)(stream+idx)));  idx += 4;    BSP_BB[i].LengthVal.z = jo_swap_endian_int(*((signed int *)(stream+idx)));  idx += 4;*/

    jo_fs_read_next_bytes(&file, buf, 4);
    nbpoint = jo_swap_endian_uint(*((unsigned int *)(buf)));

    jo_fs_read_next_bytes(&file, buf, 4);
    nbpolygon = jo_swap_endian_uint(*((unsigned int *)(buf)));


    LevelMesh[i]->data.pntbl = (POINT*)(currentAddress);
    for (JO_ZERO(ii); ii<nbpoint; ii++)
    {
        currentAddress = (void*) (currentAddress + sizeof(POINT));

        for (JO_ZERO(iii); iii<3; iii++)
        {
            jo_fs_read_next_bytes(&file, buf, 4);
            LevelMesh[i]->data.pntbl[ii][iii] =  jo_swap_endian_int(*((int *)(buf)));

        }
    }
   LevelMesh[i]->data.pltbl = (POLYGON*) (currentAddress);
    for (JO_ZERO(ii); ii<nbpolygon; ii++)
    {
        currentAddress = (void*)(currentAddress + sizeof(POLYGON));

        for (JO_ZERO(iii); iii<3; iii++)
        {
            jo_fs_read_next_bytes(&file, buf, 4);
            LevelMesh[i]->data.pltbl[ii].norm[iii] = jo_swap_endian_int(*((int *)(buf)));

        }
        for (JO_ZERO(iii); iii<4; iii++)
        {
            jo_fs_read_next_bytes(&file, buf, 2);
            LevelMesh[i]->data.pltbl[ii].Vertices[iii]=jo_swap_endian_ushort(*((unsigned short*)(buf)));

        }
    }
    LevelMesh[i]->data.attbl = (ATTR*) (currentAddress);
    for (JO_ZERO(ii); ii<nbpolygon; ii++)
    {
        currentAddress = (void*) (currentAddress + sizeof(ATTR));

        jo_fs_read_next_bytes(&file, buf, 4);
        LevelMesh[i]->data.attbl[ii].texno = jo_swap_endian_uint(*((unsigned int*)(buf)));
        //idx+=4;
        //LevelMesh[i]->data.attbl[ii].sort = (SORT_CEN) | (((sprNoflip) >> 16) & 0x1c);
        if (currentLevel>=3) LevelMesh[i]->data.attbl[ii].flag = (Single_Plane);  //If your level is well made, you should use single plane. Current demo levels are quickly built and not suitable for single plane
        else LevelMesh[i]->data.attbl[ii].flag = (Dual_Plane);
        LevelMesh[i]->data.attbl[ii].atrb = ((5 << 3) | MESHoff|ECdis| (1<<12)|(1<<10)|(0 << 9)| 0);  //ECdist = End code disable, only when using paletted sprites according to documentation.
        LevelMesh[i]->data.attbl[ii].colno = No_Palet;
        LevelMesh[i]->data.attbl[ii].gstb = (No_Gouraud);
        LevelMesh[i]->data.attbl[ii].dir = ((sprNoflip)&0x3f);
        if (useGouraudDepth==true)LevelMesh[i]->data.attbl[ii].sort = (SORT_MAX) | (((sprNoflip) >> 16) & 0x1c) | (UseNearClip|UseDepth);
        else LevelMesh[i]->data.attbl[ii].sort = (SORT_MAX) | (((sprNoflip) >> 16) & 0x1c) | (UseNearClip);
    }

    LevelMesh[i]->data.nbPoint = nbpoint;
    LevelMesh[i]->data.nbPolygon = nbpolygon;
}
//jo_free(stream);
load_textures(currentAddress, currentLevel, &file);

jo_fs_close(&file);
//jo_printf(0, 8, "Rtn ad :  %d", currentAddress);
return currentAddress;
}









void _changeMap(void)
{

    static int currentLevel = 0;

    currentLevel++;
    if (currentLevel > 4) {currentLevel = 1;}

    LoadBinaryMAP((void*)WORK_RAM_LOW, currentLevel);

    //if (currentLevel==2) LoadBinaryLQMAP(currentAddress + sizeof(jo_3d_mesh), currentLevel);


    load_map_BB(currentLevel);



    /***** Undocumented in the SGL documentation, but should (all?) be to allow a gradual fading of quads with gouraud*****/
    //slSpriteCCalcCond(CC_pr_CN);
	//slGradationOn(grdSPR);
	if (useGouraudDepth==true)
    {
        slSetDepthLimit(90,10,5);  //First value seems to be how far in front of you the quads will start to black out. Other values are unknown ATM
        slSetDepthTbl(DepthData,0xf000,32);
    }
    /***** End of import *****/

    slWindowClipLevel(32);  //Seems to be for how far in front of the camera you start clipping
    //slDispPlaneLevel(1); //Unknown usage
	slNearClipFlag(1); //Unknown

    jo_3d_display_level(7);
    _reset(&player);
}





#endif
