#ifndef __WEAPON_H__
# define __WEAPON_H__

typedef struct
{
    unsigned int w_range;
    unsigned char optimal_range;
    unsigned char damage;
    unsigned char splashdamage;
    unsigned char firerate;
    unsigned char bullet_speed;
} _weapon_stat;

_weapon_stat weapons[10];

void load_weapons_stats(void)
{
    weapons[0].damage = 10;
    weapons[0].w_range = 1500;
    weapons[0].optimal_range = 1500;
    weapons[0].splashdamage= 0;
    weapons[0].firerate = 15;
    weapons[0].bullet_speed = 100;

    weapons[1].damage = 50;
    weapons[1].w_range = 600;
    weapons[1].optimal_range = 300;
    weapons[1].splashdamage=0;
    weapons[1].firerate = 20;
    weapons[1].bullet_speed = 600;

    weapons[2].damage = 200;
    weapons[2].w_range = 600;
    weapons[2].optimal_range = 200;
    weapons[2].splashdamage = 0;
    weapons[2].firerate = 50;
    weapons[2].bullet_speed = 600;
}

/******
Look for ennemies first
******/
int bullet_en_collision(int angle, int x, int y, int z)
{
    register int lowestXdist = JO_CHANGE_SIGN(JO_MAP_NO_COLLISION);
    register int Xdist = 0;
    register int i = 0;
    register bool collision = false;
    register int currentPointX, currentPointY, currentPointZ, currentLengthX, currentLengthY, currentLengthZ;
    register short currentMask;

    for (i=0; i<map_total_BB;; i++)
    {
        currentPointX = map_BB[i].PointX; currentLengthX = map_BB[i].LengthX; currentPointY = map_BB[i].PointY; currentLengthY = map_BB[i].LengthY; currentPointZ = map_BB[i].PointZ; currentLengthZ = map_BB[i].LengthZ;
        currentMask = map_BB[i].Mask;

        if (jo_square_intersect((currentPointX), (currentPointZ), (currentLengthX), (currentLengthZ), x + xSpeed, z, w, w))
        {
                if ((currentPointY <= y + h)&&(currentPointY+currentLengthY>=y))
                {

                   if (currentMask < 0)
                    {
                          collision = true;
                          Xdist = 0;
                   }
                    else
                    {
                        Xdist = mask_collision(x + JO_DIV_BY_2(w) + xSpeed - currentPointX, z + JO_DIV_BY_2(w) + zSpeed - currentPointZ, i);
                        /*if (jo_square_intersect(currentPointX, currentPointY + Xdist, currentLengthX, currentLengthY - Xdist, x + (xSpeed), y - h, w, h))
                        collision = true;*/
                         Xdist =  currentPointX - x;
                         if ((Xdist) < (lowestXdist)) lowestXdist = Xdist;
                         else Xdist = lowestXdist;
                    }
                }
            }
    }
    if (collision == true) return Xdist;
    else return JO_CHANGE_SIGN(JO_MAP_NO_COLLISION);
    }

}

int bullet_collision(int angle, int x, int y, int z)
{

}


#endif
